# Poco

# class DigestOutputStream

Library: Foundation
Package: Crypt
Header: Poco/DigestStream.h

## Description

This ostream computes a digest of all the data passing through it, using a DigestEngine. To ensure that all data has been incorporated into the digest, call close() or flush() before you obtain the digest from the digest engine.

## Inheritance

Direct Base Classes: DigestIOS, std::ostream

All Base Classes: DigestIOS, std::ios, std::ostream

## Member Summary

Member Functions: close

Inherited Functions: rdbuf

## Constructors

### DigestOutputStream

DigestOutputStream(
DigestEngine & eng
);

### DigestOutputStream

DigestOutputStream(
DigestEngine & eng,
std::ostream & ostr
);

## Destructor

### ~DigestOutputStream

~DigestOutputStream();

## Member Functions

### close

void close();